### Class

# Ide TransferManager

#### Description

    final class Ide.TransferManager : GObject.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Implements

- GListModel

#### Functions

###### ide_transfer_manager_get_default

Gets the `IdeTransferManager` singleton.

Available since: 3.32

#### Instance methods

###### ide_transfer_manager_cancel_all

No description available.

###### ide_transfer_manager_clear

Removes all transfers from the manager that are completed.

Available since: 3.32

###### ide_transfer_manager_execute_async

This is a convenience function that will queue `transfer` into the transfer manager and execute callback upon completion of the transfer. The success or failure `GError` will be propagated to the caller via ide_transfer_manager_execute_finish().

Available since: 3.32

###### ide_transfer_manager_execute_finish

No description available.

###### ide_transfer_manager_get_has_active

Gets if there are active transfers.

Available since: 3.32

###### ide_transfer_manager_get_progress

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

Available since: 2.44

###### g_list_model_get_item_type

Gets the type of the items in `list`.

Available since: 2.44

###### g_list_model_get_n_items

Gets the number of items in `list`.

Available since: 2.44

###### g_list_model_get_object

Get the item at `position`.

Available since: 2.44

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

Available since: 2.44

#### Properties

###### Ide.TransferManager:has-active

If there are transfers active, this will be set.

Available since: 3.32

###### Ide.TransferManager:progress

A double between and including 0.0 and 1.0 describing the progress of all tasks.

Available since: 3.32

#### Signals

###### Ide.TransferManager::all-transfers-completed

This signal is emitted when all of the transfers have completed or failed.

Available since: 3.32

###### Ide.TransferManager::transfer-completed

This signal is emitted when a transfer has completed successfully.

Available since: 3.32

###### Ide.TransferManager::transfer-failed

This signal is emitted when a transfer has failed to complete successfully.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GListModel (1)

###### Gio.ListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

Available since: 2.44

#### Class structure

    struct IdeTransferManagerClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.